Skip to main content
POST
/
v3
/
async
/
viduq2-pro-fast
VIDU Q2 Pro Fast Reference to Video
curl --request POST \
  --url https://api.novita.ai/v3/async/viduq2-pro-fast \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "bgm": true,
  "seed": 123,
  "audio": true,
  "prompt": "<string>",
  "duration": 123,
  "subjects": [
    {}
  ],
  "watermark": true,
  "resolution": "<string>",
  "aspect_ratio": "<string>",
  "movement_amplitude": "<string>"
}
'
{
  "task_id": "<string>"
}
VIDU Q2 Pro Fast reference image/video to video API. Supports subject mode and non-subject mode with 720p and 1080p resolutions.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

bgm
boolean
default:false
Whether to add background music.
seed
integer
Random seed for controlling generation randomness. Same seed produces similar results.
audio
boolean
default:false
Whether to generate audio.
prompt
string
required
Text prompt. Use @1, @2 etc. to reference subjects.Length limit: 0 - 2000
duration
integer
default:5
required
Video duration in seconds, 1-10.Optional values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10
subjects
array
required
Subject list, each containing name, images, videos and voice_id.Array length: 1 - unlimited
watermark
boolean
default:false
Whether to add watermark.
resolution
string
default:"720p"
Output video resolution. Default is 720p.Optional values: 720p, 1080p
aspect_ratio
string
Video aspect ratio, e.g. 16:9, 9:16, 1:1.
movement_amplitude
string
Movement amplitude, controls motion intensity in video.Optional values: auto, small, medium, high

Response

task_id
string
Use the task_id to request the Task Result API to retrieve the generated outputs.